[Pkg-voip-commits] r4192 - in asterisk-oh323/trunk/debian: . patches
paravoid at alioth.debian.org
paravoid at alioth.debian.org
Wed Aug 22 13:16:19 UTC 2007
Author: paravoid
Date: 2007-08-22 13:16:19 +0000 (Wed, 22 Aug 2007)
New Revision: 4192
Added:
asterisk-oh323/trunk/debian/patches/no-wrapper.dpatch
Modified:
asterisk-oh323/trunk/debian/changelog
asterisk-oh323/trunk/debian/patches/00list
asterisk-oh323/trunk/debian/rules
Log:
* Do not build a separate wrapper shared library since there are no other
users of it.
Modified: asterisk-oh323/trunk/debian/changelog
===================================================================
--- asterisk-oh323/trunk/debian/changelog 2007-08-22 12:42:46 UTC (rev 4191)
+++ asterisk-oh323/trunk/debian/changelog 2007-08-22 13:16:19 UTC (rev 4192)
@@ -10,8 +10,10 @@
* Remove Conflicts/Replaces asterisk-h323 since they can happily coexist.
* Place the module in /usr/lib/asterisk/modules where it belongs and can be
loaded by Asterisk.
+ * Do not build a separate wrapper shared library since there are no other
+ users of it.
- -- Faidon Liambotis <paravoid at debian.org> Wed, 22 Aug 2007 15:38:34 +0300
+ -- Faidon Liambotis <paravoid at debian.org> Wed, 22 Aug 2007 16:14:31 +0300
asterisk-oh323 (0.7.3+cvs20070811-1) unstable; urgency=high
Modified: asterisk-oh323/trunk/debian/patches/00list
===================================================================
--- asterisk-oh323/trunk/debian/patches/00list 2007-08-22 12:42:46 UTC (rev 4191)
+++ asterisk-oh323/trunk/debian/patches/00list 2007-08-22 13:16:19 UTC (rev 4192)
@@ -3,3 +3,4 @@
asterisk.h_include
asterisk-driver_Makefile.dpatch
wrapper_Makefile.dpatch
+no-wrapper.dpatch
Added: asterisk-oh323/trunk/debian/patches/no-wrapper.dpatch
===================================================================
--- asterisk-oh323/trunk/debian/patches/no-wrapper.dpatch (rev 0)
+++ asterisk-oh323/trunk/debian/patches/no-wrapper.dpatch 2007-08-22 13:16:19 UTC (rev 4192)
@@ -0,0 +1,62 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## no-wrapper.dpatch by Faidon Liambotis <paravoid at debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Add an option to not build a wrapper shared library
+
+ at DPATCH@
+diff -urNad asterisk-oh323-0.7.3+cvs20070811~/asterisk-driver/Makefile asterisk-oh323-0.7.3+cvs20070811/asterisk-driver/Makefile
+--- asterisk-oh323-0.7.3+cvs20070811~/asterisk-driver/Makefile 2007-06-04 13:55:06.000000000 +0300
++++ asterisk-oh323-0.7.3+cvs20070811/asterisk-driver/Makefile 2007-08-22 16:12:33.000000000 +0300
+@@ -151,6 +151,13 @@
+ @if [ ! -f "$(LIBH323PATH)" ]; then \
+ echo "ERROR: No OPENH323 library found!"; exit 1; \
+ fi
++ifeq ($(OH323NOWRAP),1)
++ $(CC) -shared -Xlinker -x -g -o $@ $(TARGET_OBJ) \
++ ../wrapper/*.o \
++ -L$(OPENH323DIR)/lib -l$(LIBH323) \
++ -L$(PWLIBDIR)/lib -l$(LIBPT) \
++ -lstdc++ $(EXTLIBS)
++else
+ ifeq ($(OH323STAT),1)
+ $(CC) -shared -Xlinker -x -g -o $@ $(TARGET_OBJ) \
+ -L../wrapper -loh323wrap_s \
+@@ -164,6 +171,7 @@
+ -L$(PWLIBDIR)/lib -l$(LIBPT) \
+ -lstdc++ $(EXTLIBS)
+ endif
++endif
+
+ %.o: %.c $(DRVDEPS)
+ $(CC) $(CFLAGS) $(ASTERISKINCLUDE) -c -o $@ $<
+diff -urNad asterisk-oh323-0.7.3+cvs20070811~/wrapper/Makefile asterisk-oh323-0.7.3+cvs20070811/wrapper/Makefile
+--- asterisk-oh323-0.7.3+cvs20070811~/wrapper/Makefile 2007-06-04 13:55:28.000000000 +0300
++++ asterisk-oh323-0.7.3+cvs20070811/wrapper/Makefile 2007-08-22 16:12:33.000000000 +0300
+@@ -100,15 +100,18 @@
+ @if [ "$(OPENH323_VERSION)" = "UNKNOWN" ]; then \
+ echo "*** Cannot determine the version of OPENH323!"; exit 1; \
+ fi
++ifneq ($(OH323NOWRAP),1)
+ ifeq ($(OH323STAT),1)
+ $(AR) rc liboh323wrap_s.a $(WRAPOBJECTS)
+ else
+ $(CC) -shared -Wl,-soname,liboh323wrap.so -o liboh323wrap.so $(WRAPOBJECTS)
+ endif
++endif
+
+ strip:
+
+ install:
++ifneq ($(OH323NOWRAP),1)
+ if [ ! -d $(DESTDIR)$(OH323WRAPLIBDIR) ]; then \
+ $(INSTALL) -d $(DESTDIR)$(OH323WRAPLIBDIR); \
+ fi
+@@ -120,6 +123,7 @@
+ cd $(DESTDIR)$(OH323WRAPLIBDIR); ln -s liboh323wrap.so liboh323wrap.so.1
+ cd $(DESTDIR)$(OH323WRAPLIBDIR); ln -s liboh323wrap.so liboh323wrap.so.1.1
+ endif
++endif
+
+ clean:
+ rm -f $(WRAPOBJECTS) liboh323wrap* .pwlib_version* .openh323_version*
Property changes on: asterisk-oh323/trunk/debian/patches/no-wrapper.dpatch
___________________________________________________________________
Name: svn:executable
+ *
Modified: asterisk-oh323/trunk/debian/rules
===================================================================
--- asterisk-oh323/trunk/debian/rules 2007-08-22 12:42:46 UTC (rev 4191)
+++ asterisk-oh323/trunk/debian/rules 2007-08-22 13:16:19 UTC (rev 4192)
@@ -23,6 +23,7 @@
PWLIBDIR=/usr/share/pwlib/ \
SKIP_SUFFIX=1 \
OH323STAT=0 \
+ OH323NOWRAP=1 \
LIBPT_BASE=libpt \
LIBH323_BASE=libopenh323 \
OH323WRAPLIBDIR=/usr/lib/ \
More information about the Pkg-voip-commits
mailing list